Name:		upx
Version:	4.2.3
%define subrel 1
Release:	%mkrel 1
Summary:	The Ultimate Packer for eXecutables
License:	GPLv2+
Group:		Archiving/Compression
URL:		https://upx.github.io/
Source0:	https://github.com/upx/upx/releases/download/v%{version}/%{name}-%{version}-src.tar.xz
# https://github.com/upx/upx/issues/898
Patch1:		CVE-2025-2849.patch

BuildRequires:	cmake
BuildRequires:	ucl-devel >= 1.03
BuildRequires:	pkgconfig(zlib)

%description
UPX is an advanced executable file compressor. UPX will typically
reduce the file size of programs and DLLs by around 50%-70%, thus
reducing disk space, network load times, download times and other
distribution and storage costs.

Programs and libraries compressed by UPX are completely self-contained
and run exactly as before, with no runtime or memory penalty for most
of the supported formats.


%prep
%autosetup -p1 -n %{name}-%{version}-src

%build
%cmake
%cmake_build

%install
%cmake_install

mv %{buildroot}%{_datadir}/doc/upx/upx-doc.* .
rm -f %{buildroot}%{_datadir}/doc/upx/*

%files
%doc NEWS README README.SRC upx-doc.*
%license COPYING LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Wed Apr 02 2025 ns80 <ns80> 4.2.3-1.1.mga9
+ Revision: 2172742
- backport upstream patch for CVE-2025-2849 (mga#34157)
+ daviddavid <daviddavid>
- new version: 4.2.3, fixes CVE-2024-3209 (mga#33069)

* Fri Feb 10 2023 luigiwalser <luigiwalser> 4.0.2-1.mga9
+ Revision: 1939971
- 4.0.2
- remove upstream patches

* Fri Jan 13 2023 daviddavid <daviddavid> 4.0.1-1.mga9
+ Revision: 1932759
- new version: 4.0.1
- patches for CVE-2023-23456 and CVE-2023-23457

* Wed Mar 16 2022 umeabot <umeabot> 3.96-4.mga9
+ Revision: 1795000
- Mageia 9 Mass Rebuild

* Tue Jun 01 2021 ns80 <ns80> 3.96-3.mga9
+ Revision: 1729167
- add upstream patches for CVE-2020-24119 and CVE-2021-20285 (mga#29016)

* Wed Feb 19 2020 umeabot <umeabot> 3.96-2.mga8
+ Revision: 1544197
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 daviddavid <daviddavid> 3.96-1.mga8
+ Revision: 1482702
- new version: 3.96
- remove merged upstream patches

* Sat Dec 28 2019 ns80 <ns80> 3.95-2.mga8
+ Revision: 1474569
- add upstream patches for CVE-2019-1429[56] (mga#25935)

* Wed Jan 23 2019 zezinho <zezinho> 3.95-1.mga7
+ Revision: 1360185
- new version 3.95

* Sun Sep 23 2018 umeabot <umeabot> 3.94-2.mga7
+ Revision: 1301539
- Mageia 7 Mass Rebuild

* Sat Oct 21 2017 mjack <mjack> 3.94-1.mga7
+ Revision: 1172992
- Updated to version 3.94
- Applied patch from fedora which stops call to checkwhitespace
- Applied patch (from upstream), addresses CVE-2017-15056 (mga#21876)

* Thu Feb 04 2016 umeabot <umeabot> 3.91-4.mga6
+ Revision: 935929
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.91-3.mga5
+ Revision: 742956
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.91-2.mga5
+ Revision: 690072
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 3.91-1.mga5
+ Revision: 592357
- new version 3.91

* Tue Oct 22 2013 umeabot <umeabot> 3.09-3.mga4
+ Revision: 546202
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 3.09-2.mga4
+ Revision: 502279
- fix build (patch from pitahaya)

* Tue Jun 25 2013 dams <dams> 3.09-1.mga4
+ Revision: 446625
- new version 3.09
- clean specfile
- update %%description

* Mon Jan 14 2013 umeabot <umeabot> 3.08-3.mga3
+ Revision: 385094
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 fwang <fwang> 3.08-2.mga3
+ Revision: 331268
- br ucl

* Fri Jan 27 2012 kamil <kamil> 3.08-1.mga2
+ Revision: 202278
- new version 3.08
- update license (it's GPLv2+)
- update file list
- clean .spec

* Thu Jan 20 2011 erwan <erwan> 3.07-1.mga1
+ Revision: 27502
- Removing useless option
- Adding Lzma support (inspired by fedora packaging)
- imported package upx


* Mon Nov 08 2010 Götz Waschk <waschk@mandriva.org> 3.07-1mdv2011.0
+ Revision: 595121
- new version
- drop patch

* Wed Oct 07 2009 Oden Eriksson <oeriksson@mandriva.com> 3.04-1mdv2010.0
+ Revision: 455464
- 3.04
- use %%optflags
- P0: fix format string errors

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 3.03-2mdv2009.0
+ Revision: 269450
- rebuild early 2009.0 package (before pixel changes)

* Fri May 16 2008 Oden Eriksson <oeriksson@mandriva.com> 3.03-1mdv2009.0
+ Revision: 208167
- 3.03

  + Erwan Velu <erwan@mandriva.org>
    - 3.02

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1mdv2008.1-current
+ Revision: 140925
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Dec 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.03-1mdv2007.0
+ Revision: 94796
- Import upx

* Mon Dec 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.03-1mdv2007.1
- 2.03

* Thu Jul 01 2004 Götz Waschk <waschk@linux-mandrake.com> 1.25-2mdk
- enable parallel build
- fix used build flags
- fix description (Stef)

* Thu Jul 01 2004 Götz Waschk <waschk@linux-mandrake.com> 1.25-1mdk
- requires new ucl
- drop prefix
- download URL
- New release 1.25

* Tue Jun 08 2004 Götz Waschk <waschk@linux-mandrake.com> 1.24-3mdk
- rebuild for new g++

